Arsel AI API - أرسل
Arse.aiRegister
Arse.aiRegister
  1. Domains
  • Account
    • Get authenticated account info
      GET
  • Domains
    • List domains
      GET
    • Create a domain (and generate verification DNS records)
      POST
    • Delete a domain
      DELETE
  • Contact Lists
    • List contact lists
      GET
    • Create a contact list
      POST
    • Import subscribers into a contact list
      POST
    • List subscribers for a contact list
      GET
    • Get subscriber details (including subscriber mails)
      GET
    • Create a subscriber in a contact list
      POST
    • Update a subscriber (by subscriber UUID)
      PUT
    • Delete a subscriber (by subscriber UUID)
      DELETE
    • Toggle subscriber subscription status
      PUT
  • Campaigns
    • List campaigns
      GET
    • Create a campaign
      POST
    • Update a campaign
      PUT
    • Delete a campaign
      DELETE
  • Templates
    • List templates
      GET
    • Toggle template publish status
      PUT
  • Email Sending
    • Send an email (queued)
      POST
  • Schemas
    • PaginationLinks
    • PaginationMeta
    • Domain
    • DomainCollection
    • ContactList
    • ContactListPaginator
    • CreatedContactList
    • CreateContactListResponse
    • Subscriber
    • SubscriberPaginator
    • SubscriberMail
    • SubscriberMailPaginator
    • SubscriberDetailsResponse
    • Campaign
    • CampaignCollection
    • CampaignCreateOrUpdateResponse
    • DeleteResponse
    • TemplateListItem
    • TemplatePaginator
    • ErrorResponse
    • MessageResponse
    • AccountInfoResponse
    • CreateDomainRequest
    • CreateContactListRequest
    • CreateOrUpdateSubscriberRequest
    • CreateSubscriberResponse
    • ImportSubscribersRequest
    • CreateOrUpdateCampaignRequest
    • SendEmailRequest
  1. Domains

List domains

GET
/v1/domains
Lists domains for the account. Internal id / account_id and nested dashboard
account objects (credits, subscription, etc.) are omitted.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Domain list (paginated unless all=true)
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.arsel.ai/api/v1/domains?all=&per_page=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "uuid": "string",
            "name": "string",
            "region": "string",
            "dkim_selector": "string",
            "verified_at": "string",
            "verification_status": "pending",
            "verification_instructions_json": {
                "property1": "string",
                "property2": "string"
            },
            "warmup_status": "not_started",
            "is_warmed": true,
            "warmup_score": 0,
            "warmup_started_at": "string",
            "warmup_paused_at": "string",
            "warmup_completed_at": "string",
            "created_at": "string",
            "updated_at": "string"
        }
    ],
    "links": {
        "first": "string",
        "last": "string",
        "prev": "string",
        "next": "string"
    },
    "meta": {
        "current_page": 0,
        "from": 0,
        "last_page": 0,
        "links": [
            {
                "url": "string",
                "label": "string",
                "active": true
            }
        ],
        "path": "string",
        "per_page": 0,
        "to": 0,
        "total": 0
    }
}
Previous
Get authenticated account info
Next
Create a domain (and generate verification DNS records)
Built with